LisaList2

Advanced search  

News:

2019.06.07 fixed NChat for the "Curve" theme, will eventually move it to its own page and add it to the default theme as well. Other plugins are next. see post in the Meta board for details

Pages: [1]   Go Down

Author Topic: Floppy Emu, LisaCompose?  (Read 279 times)

blusnowkitty

  • Full Member
  • ***
  • Karma: +17/-0
  • Offline Offline
  • Posts: 40
Floppy Emu, LisaCompose?
« on: May 07, 2020, 09:54:05 am »

Has anyone ever gotten a Floppy Emu to work with a 2/5? I've heard it works with a 2/10 but I can't get it to work with my 2/5. I have a Model C and while the Lisa recognizes that there's a disk inserted, it can't actually read the disk image and thinks it's a bad disk. Boot ROM, Office System, I think even under MacWorks it simply won't read disks. I have heard a few stray comments here and there that the differences between the 2/5's discreet Woz Machine and the 2/10's IWM may be to blame.


https://macintoshgarden.org/apps/lisacompose

Does anyone know what LisaCompose is? I can't seem to find any documentation on this, but I did find out that it's not an Office System tool; it might be an Environment? The disks are bootable but when I installed them in LisaEm the installer asked for disk 4 (there's only three disks) and then trashed my hard disk image.
Logged

Lisa2

  • Administrator
  • Full Member
  • *****
  • Karma: +15/-0
  • Offline Offline
  • Posts: 32
  • See why 1983 was more like Y2K...
    • Lisa2.com
Re: Floppy Emu, LisaCompose?
« Reply #1 on: May 07, 2020, 11:42:57 am »

I have a FloppyEMU that works with the 2/5.   I own two, a Model A setup for the 2/5 and a Model B setup for the 2/10.

The current Floppy EMU software has issues with the 2/5, you must use the older firmware.  Problem is that I don't know if the older firmware will work on the Model C.  I have a hunch that the older firmware is not compatible with the new display on the model C.

From the BMOW website:
Macintosh and Lisa firmware, for all Floppy Emu models: hd20-0.8E-F14
Lisa 2/5 compatibility firmware, for Floppy Emu Model B or A: lisa-emu-1.0S7-F11

You will have to email Steve at BMOW and ask him.


I don't know for sure but I think LisaCompose for driving a typesetting system, I don't think it will do you much good without the typesetting hardware that goes with it.

Rick



Logged

nekonoko

  • Newbie
  • *
  • Karma: +2/-0
  • Offline Offline
  • Posts: 1
Re: Floppy Emu, LisaCompose?
« Reply #2 on: May 08, 2020, 12:09:47 am »

Those were my findings as well. I recently bought a Model C hoping to use it on my 2/5 and I couldn't get it to work with it at all. I happened to have an older Model B on my Apple IIs, so I tried that with the 2/5 compatibility firmware and it worked perfectly. Would be nice to have the color display on the Lisa but it is what it is - the Model C is now doing duty as my Apple II FloppyEMU.
Logged

blusnowkitty

  • Full Member
  • ***
  • Karma: +17/-0
  • Offline Offline
  • Posts: 40
Re: Floppy Emu, LisaCompose?
« Reply #3 on: May 09, 2020, 11:04:17 am »

Darn, I guess I'm going to have to find a Floppy Emu A or B. Thanks!
Logged

8088mph

  • Newbie
  • *
  • Karma: +5/-0
  • Offline Offline
  • Posts: 9
Logged

LisaGuide

  • Newbie
  • *
  • Karma: +4/-0
  • Offline Offline
  • Posts: 2
Re: Floppy Emu, LisaCompose?
« Reply #5 on: May 31, 2020, 02:50:47 am »

Thank you for posting this manual. I am the one who has uploaded this software online and I too was unable to find out anything about it. When I had received the VintageMicros software archive I was very excited to have a new application to use on LOS. To this day I have never been able to get it to work. I have attempted to repair the disk image however I fear that it is beyond repair. Has anyone been able to get this working?

I will amend my post on the various software archive websites with this manual. Is there any other known information on Compose?
Logged

blusnowkitty

  • Full Member
  • ***
  • Karma: +17/-0
  • Offline Offline
  • Posts: 40
Re: Floppy Emu, LisaCompose?
« Reply #6 on: June 02, 2020, 09:56:07 am »

Thank you for posting this manual. I am the one who has uploaded this software online and I too was unable to find out anything about it. When I had received the VintageMicros software archive I was very excited to have a new application to use on LOS. To this day I have never been able to get it to work. I have attempted to repair the disk image however I fear that it is beyond repair. Has anyone been able to get this working?

I will amend my post on the various software archive websites with this manual. Is there any other known information on Compose?

So I couldn't get it to install at all on LisaEm; it just kept corrupting my virtual Profile disk. On a real Lisa though - I copied the files from the Tool diskette to the Office System, then booted the other three install disks and now I have LisaCompose on my 2/5! I guess Lisa development must have really been difficult if the manual flat-out says "When prompted for Disk 4, click cancel because there is no Disk 4." It works though.
Logged

rayarachelian

  • Administrator
  • Sr. Member
  • *****
  • Karma: +11/-0
  • Offline Offline
  • Posts: 239
  • "But what's puzzling you is the nature of my game"
    • LisaEm
Re: Floppy Emu, LisaCompose?
« Reply #7 on: June 02, 2020, 11:56:12 am »

So I couldn't get it to install at all on LisaEm; it just kept corrupting my virtual Profile disk. On a real Lisa though - I copied the files from the Tool diskette to the Office System, then booted the other three install disks and now I have LisaCompose on my 2/5! I guess Lisa development must have really been difficult if the manual flat-out says "When prompted for Disk 4, click cancel because there is no Disk 4." It works though.

Oh wow, thanks for finding this, I'll try to debug this.
Logged
Fate whispers to the warrior, 'You can not withstand the storm.'  The warrior whispers back, 'I am the storm.'

blusnowkitty

  • Full Member
  • ***
  • Karma: +17/-0
  • Offline Offline
  • Posts: 40
Re: Floppy Emu, LisaCompose?
« Reply #8 on: June 03, 2020, 05:33:52 pm »

Unrelated to LisaCompose (more accurately, CG Compose), the Floppy Emu Model C now supports 2/5s! I poked Steve about it a while ago and he sent me over some firmwares to try and I found one that worked on both my 2/5 and Macs. If anyone's got a 2/5 and a Model C, it's now all officially released over at: https://www.bigmessowires.com/2020/05/27/floppy-emu-update-favorites-lisa-fixes-and-more
Logged

rayarachelian

  • Administrator
  • Sr. Member
  • *****
  • Karma: +11/-0
  • Offline Offline
  • Posts: 239
  • "But what's puzzling you is the nature of my game"
    • LisaEm
Re: Floppy Emu, LisaCompose?
« Reply #9 on: June 03, 2020, 06:54:54 pm »

Unrelated to LisaCompose (more accurately, CG Compose), the Floppy Emu Model C now supports 2/5s! I poked Steve about it a while ago and he sent me over some firmwares to try and I found one that worked on both my 2/5 and Macs. If anyone's got a 2/5 and a Model C, it's now all officially released over at: https://www.bigmessowires.com/2020/05/27/floppy-emu-update-favorites-lisa-fixes-and-more

I recently (last two weeks) picked up a model C for use on a Mac SE, so that's goods news.
Thanks.
Logged
Fate whispers to the warrior, 'You can not withstand the storm.'  The warrior whispers back, 'I am the storm.'
Pages: [1]   Go Up